summaryrefslogtreecommitdiffstats
path: root/academic
diff options
context:
space:
mode:
author Grissiom <chaos.proton@gmail.com>2010-05-13 00:57:20 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-13 00:57:20 +0200
commita459fe3bc5751fc171b704f88eafbca3d4cf90e6 (patch)
treecb78d8dbf6042e6094a603ee84caf77535357e85 /academic
parentd7a9012a9dcbc112e5d93023870999332ad00dc4 (diff)
downloadslackbuilds-a459fe3bc5751fc171b704f88eafbca3d4cf90e6.tar.gz
slackbuilds-a459fe3bc5751fc171b704f88eafbca3d4cf90e6.tar.xz
academic/mendeleydesktop: Added to 13.0 repository
Diffstat (limited to 'academic')
-rw-r--r--academic/mendeleydesktop/README6
-rw-r--r--academic/mendeleydesktop/doinst.sh10
-rw-r--r--academic/mendeleydesktop/mendeleydesktop.SlackBuild70
-rw-r--r--academic/mendeleydesktop/mendeleydesktop.info10
-rw-r--r--academic/mendeleydesktop/slack-desc19
5 files changed, 115 insertions, 0 deletions
diff --git a/academic/mendeleydesktop/README b/academic/mendeleydesktop/README
new file mode 100644
index 0000000000..49ff5a8533
--- /dev/null
+++ b/academic/mendeleydesktop/README
@@ -0,0 +1,6 @@
+Before you use Mendeley, make sure that you are agree with the
+terms and conditions at http://www.mendeley.com/terms/
+
+Mendeley is a software to organize, share, and discover research papers.
+Like iTunes(tm) for research papers, Mendeley is a free research management
+tool for desktop and web.
diff --git a/academic/mendeleydesktop/doinst.sh b/academic/mendeleydesktop/doinst.sh
new file mode 100644
index 0000000000..1f8ff67ded
--- /dev/null
+++ b/academic/mendeleydesktop/doinst.sh
@@ -0,0 +1,10 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
+
diff --git a/academic/mendeleydesktop/mendeleydesktop.SlackBuild b/academic/mendeleydesktop/mendeleydesktop.SlackBuild
new file mode 100644
index 0000000000..8c7cde9155
--- /dev/null
+++ b/academic/mendeleydesktop/mendeleydesktop.SlackBuild
@@ -0,0 +1,70 @@
+#!/bin/sh
+
+# Slackware build script for mendeleydesktop
+
+# Written by Grissiom <chaos.proton@gmail.com>
+
+PRGNAM=mendeleydesktop
+VERSION=${VERSION:-0.9.5.2}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ ARCH="i486" # mendeleydesktop doesn't have i686 pre-builds.
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION-linux-$ARCH
+tar xvf $CWD/$PRGNAM-$VERSION-linux-${ARCH}.tar.bz2
+cd $PRGNAM-$VERSION-linux-$ARCH
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+rm lib/libQt* lib/libssl* lib/libpng*
+rm lib/mendeleydesktop/libexec/qt.conf
+rm -rf lib/mendeleydesktop/plugins
+[ $ARCH = 'x86_64' ] && mv lib lib$LIBDIRSUFFIX
+rm bin/mendeleydesktop
+ln -s ../lib${LIBDIRSUFFIX}/mendeleydesktop/libexec/mendeleydesktop.$ARCH \
+ bin/mendeleydesktop
+
+mkdir $PKG/usr
+
+# some docs lay on the top folder, so install them first
+mkdir -p $PKG/usr/doc
+mv share/doc/mendeleydesktop $PKG/usr/doc/$PRGNAM-$VERSION
+mv LICENSE README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+rm INSTALL
+rmdir share/doc
+
+mv * $PKG/usr
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF | \
+ cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/install
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/academic/mendeleydesktop/mendeleydesktop.info b/academic/mendeleydesktop/mendeleydesktop.info
new file mode 100644
index 0000000000..568d94785e
--- /dev/null
+++ b/academic/mendeleydesktop/mendeleydesktop.info
@@ -0,0 +1,10 @@
+PRGNAM="mendeleydesktop"
+VERSION="0.9.5.2"
+HOMEPAGE="http://www.mendeley.com/"
+DOWNLOAD="http://www.mendeley.com/downloads/linux/mendeleydesktop-0.9.5.2-linux-i486.tar.bz2"
+MD5SUM="eecac2a8307a34764f224042653cb1d9"
+DOWNLOAD_x86_64="http://www.mendeley.com/downloads/linux/mendeleydesktop-0.9.5.2-linux-x86_64.tar.bz2"
+MD5SUM_x86_64="02b7ea5445449dc06fcb8ff7831d9265"
+MAINTAINER="Grissiom"
+EMAIL="chaos.proton@gmail.com"
+APPROVED="dsomero"
diff --git a/academic/mendeleydesktop/slack-desc b/academic/mendeleydesktop/slack-desc
new file mode 100644
index 0000000000..0ba2f3c3b4
--- /dev/null
+++ b/academic/mendeleydesktop/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+mendeleydesktop: Mendeley Desktop (managing and sharing research papers tool)
+mendeleydesktop:
+mendeleydesktop: Mendeley is a software to organize, share, and discover
+mendeleydesktop: research papers. Before you download and use this software,
+mendeleydesktop: make sure you agree with the terms and conditions located at:
+mendeleydesktop: http://www.mendeley.com/terms/
+mendeleydesktop:
+mendeleydesktop: Homepage: http://www.mendeley.com/
+mendeleydesktop:
+mendeleydesktop:
+mendeleydesktop: